import { isNil } from 'lodash-es';
import { useEffect } from 'react';
import { useNavigate, useParams } from 'react-router-dom';
import { useScheme } from '../stores/schemes';

export function SchemeDetail() {
  const { id } = useParams();
  const scheme = useScheme(id);
  const navigate = useNavigate();

  useEffect(() => {
    if (isNil(scheme)) {
      navigate('../not-found');
    }
  }, [scheme, navigate]);

  return (
    <div>
      <h3>{scheme?.name}</h3>
      <p>{scheme?.description}</p>
    </div>
  );
}
